|  | Home | Documentation | _a__address_book Class Reference updated by Robert van Engelen |

_a__address_book Class Reference

Top-level root element "urn:address-book-example":address-book. More...

`#include <address.h>`

Collaboration diagram for _a__address_book:
[legend]

## Public Member Functions

virtual long | soap_type (void) const
| Return unique type id SOAP_TYPE__a__address_book.
virtual void | soap_default (struct soap *)
| (Re)set members to default values
virtual void | soap_serialize (struct soap *) const
| Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures.
virtual int | soap_put (struct soap *, const char *tag, const char *type) const
| Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK.
virtual int | soap_out (struct soap *, const char *tag, int id, const char *type) const
| Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK.
virtual void * | soap_get (struct soap *, const char *tag, const char *type)
| Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error.
virtual void * | soap_in (struct soap *, const char *tag, const char *type)
| Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error.
virtual _a__address_book * | soap_alloc (void) const
| Return a new object of type _a__address_book, default initialized and not managed by a soap context.
| _a__address_book ()
| Constructor with default initializations.
virtual | ~_a__address_book ()
| Destructor.

## Public Attributes

std::vector< a__address * > | address
| Vector of a__address* of length 0..unbounded.
struct soap * | soap
| Pointer to soap context that manages this instance.

## Friends

SOAP_FMAC1 _a__address_book *SOAP_FMAC2 | address_instantiate__a__address_book (struct soap *, int, const char *, const char *, size_t *)
| Friend allocator used by soap_new__a__address_book(struct soap*, int).

## Detailed Description

Top-level root element "urn:address-book-example":address-book.

      The root element of the address book schema

"urn:address-book-example":address-book is a complexType.

Note
  class _a__address_book operations:
  - _a__address_book* soap_new__a__address_book(soap*) allocate and default initialize
  - _a__address_book* soap_new__a__address_book(soap*, int num) allocate and default initialize an array
  - _a__address_book* soap_new_req__a__address_book(soap*, ...) allocate, set required members
  - _a__address_book* soap_new_set__a__address_book(soap*, ...) allocate, set all public members
  - _a__address_book::soap_default(soap*) default initialize members
  - int soap_read__a__address_book(soap*, _a__address_book*) deserialize from a stream
  - int soap_write__a__address_book(soap*, _a__address_book*) serialize to a stream
  - _a__address_book* _a__address_book::soap_dup(soap*) returns deep copy of _a__address_book, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - _a__address_book::soap_del() deep deletes _a__address_book data members, use only after _a__address_book::soap_dup(NULL) (use soapcpp2 -Ed)
  - int _a__address_book::soap_type() returns SOAP_TYPE__a__address_book or derived type identifier

Definition at line 263 of file address.h.

## Constructor & Destructor Documentation

## ◆ _a__address_book()

_a__address_book::_a__address_book | ( |  | ) |

inline

Constructor with default initializations.

Definition at line 149 of file addressStub.h.

## ◆ ~_a__address_book()

virtual _a__address_book::~_a__address_book | ( |  | ) |

inline virtual

Destructor.

Definition at line 151 of file addressStub.h.

## Member Function Documentation

## ◆ soap_alloc()

virtual _a__address_book * _a__address_book::soap_alloc | ( | void |  | ) | const

inline virtual

Return a new object of type _a__address_book, default initialized and not managed by a soap context.

Definition at line 146 of file addressStub.h.

## ◆ soap_default()

virtual void _a__address_book::soap_default | ( | struct soap * |  | ) |

virtual

(Re)set members to default values

## ◆ soap_get()

virtual void * _a__address_book::soap_get | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type )

virtual

Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error.

## ◆ soap_in()

virtual void * _a__address_book::soap_in | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type )

virtual

Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error.

## ◆ soap_out()

virtual int _a__address_book::soap_out | ( | struct soap * | ,
|  | const char * | tag,
|  | int | id,
|  | const char * | type ) const

virtual

Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK.

## ◆ soap_put()

virtual int _a__address_book::soap_put | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type ) const

virtual

Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK.

## ◆ soap_serialize()

virtual void _a__address_book::soap_serialize | ( | struct soap * |  | ) | const

virtual

Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures.

## ◆ soap_type()

virtual long _a__address_book::soap_type | ( | void |  | ) | const

inline virtual

Return unique type id SOAP_TYPE__a__address_book.

Definition at line 132 of file addressStub.h.

## Friends And Related Symbol Documentation

## ◆ address_instantiate__a__address_book

SOAP_FMAC1 _a__address_book *SOAP_FMAC2 address_instantiate__a__address_book | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * | )

friend

Friend allocator used by soap_new__a__address_book(struct soap*, int).

## Member Data Documentation

## ◆ address

std::vector< a__address * > _a__address_book::address

Vector of a__address* of length 0..unbounded.

Optional element 'address' of XML schema type 'a:address'.

Multiple elements.

Definition at line 266 of file address.h.

## ◆ soap

struct soap * _a__address_book::soap

Pointer to soap context that manages this instance.

Context that manages this object.

Definition at line 268 of file address.h.

The documentation for this class was generated from the following files:

- address.h
- addressStub.h